Bug 1269784 - tools/glusterfind: fix %2F%2F character sequence in file paths emitted in output file
tools/glusterfind: fix %2F%2F character sequence in file paths emitted in out...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterfind (Show other bugs)
3.7.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milind Changire
bugs@gluster.org
:
Depends On: 1269735 1269789
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 04:15 EDT by Milind Changire
Modified: 2016-03-22 04:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1269735
Environment:
Last Closed: 2016-03-22 04:19:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milind Changire 2015-10-08 04:15:48 EDT
+++ This bug was initially created as a clone of Bug #1269735 +++

Description of problem:
File paths emitted in output file contain %2F%2F as directory separator instead of a single %2F.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create glusterfind session on a volume
2. Create files in sub-directories on volume
3. Wait for 20 seconds for changelog rollover
4. Run a glusterfind pre command to generate an output file
5. File will contain paths with %2F%2F character sequence

Actual results:


Expected results:
Only single character sequence of %2F should be present as directory separator

Additional info:
Comment 1 Milind Changire 2016-01-05 01:53:52 EST
fix available with https://code.engineering.redhat.com/gerrit/62252
function tools/glusterfind/src/main.py::write_output()

Note You need to log in before you can comment on or make changes to this bug.